USERMOD(8)

NOME
usermod - Modifica l'account di un utente

SINTASSI

usermod [-c commento] [-d home_dir [-m]]
    [-e data_scadenza] [-f tempo_inattività]
    [-g gruppo_iniziale] [-G gruppo[,...]]
    [-l nome_login] [-p password]
    [-s shell] [-u uid [ -o]] [-L|-U] login

DESCRIZIONE
Il comando usermod modifica i file di account di sistema in modo da riflettere le modifiche specificate sulla linea di comando. Le opzioni che si applicano al comando usermod sono

-c commento
    Il campo commento del nuovo utente nel file password. Normalmente viene modificato usando l'utilità chfn(1).

-d home_dir
    La nuova directory di login dell'utente. Se è data l'opzione -m il contenuto della home directory corrente sarà spostato nella nuova home directory, che viene creata se non esiste già.

-e data_scadenza
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato MM/GG/AA.

-f giorni_inattività
    Il numero di giorni dopo la scadenza della password prima che l'account verrà permanentemente disabilitato. Un valore pari a 0 disabilita l'account non appena la password è scaduta, ed un valore pari a -1 disabilita questa caratteristica. Il valore predefinito è -1.

-g gruppo_iniziale
    Il nuome o numero del nuovo gruppo di connessione dell'utente. Il nome del gruppo deve esistere. Un numero di gruppo deve riferirsi ad un gruppo già esistente. Il numero di gruppo predefinito è 1.

-G gruppo,[...]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g. Se l'utente è attualmente membro di un gruppo che non è elencato, l'utente verrà rimosso dal gruppo.

-l nome_login
    Il nome dell'utente verrà cambiato da login a nome_login. Niente altro viene cambiato. In particolare, la home directory dell'utente dovrebbe probabilmente essere modificata in modo da riflettere il nuovo nome di login.

-o  Used with -r option allow change user ID to non-unique value.

-p passwd
    The encrypted password, as returned by crypt(3).

-s shell
    Il nome della nuova shell di login dell'utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni la shell di connessione predefinita.

-u uid
    Il valore numerico dell'ID dell'utente. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Questo valore deve essere non-negativo. Valori tra 0 e 99 sono tipicamente riservati ad account di sistema. Tutti i file che l'utente possiede e che sono posiszionati nell'albero di directory avente come radice la home directory dell'utente avranno l'ID utente del file cambiato automaticamente. I file fuori della home directory dell'utente devono essere modificati manualmente.

-L  Lock a user's password. This puts a '!' in front of the encrypted password, effectively disabling the password. You can't use this option with -p or -U.

-U  Unlock a user's password. This removes the '!' in front of the encrypted password. You can't use this option with -p or -L.

CAVEAT
usermod non permetterà di modificare il nome di un utente che è attualmente connesso. Occorre essere certi che l'utente nominato non sta eseguendo alcun processo quando questo comando viene eseguito se l'ID numerico dell'utente sta per essere cambiato. Occorre cambiare il proprietario di ogni file crontab manualmente. Occorre cambiare il proprietario di ogni job manualmente. Occorre fare qualunque cambiamento che riguarda NIS sul server NIS.

FILE
/etc/passwd - informazioni sugli account utente
/etc/shadow - informazioni sicure sugli account di utenti
/etc/group - informazioni sui gruppi

VEDERE ANCHE
chfn(1), chsh(1), groupadd(8), groupdel(8), groupmod(8), passwd(1), useradd(8), userdel(8)

AUTORE
Julianne Frances Haugh (jockgrrl@ix.netcom.com)

TRADUZIONE
Giovanni Bortolozzo <borto@dei.unipd.it>, 1996-1997
Roberto Pertile <triplej@iol.it>, 1999
Isabella Ruocco <isacher@nettaxi.com>, 1999
Giuseppe Sacco <eppesuig@debian.org>, 2005